Bug 1462835 - [RFE][TD] Provide per-provider instance advanced settings
[RFE][TD] Provide per-provider instance advanced settings
Status: MODIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: MVP
: 5.9.0
Assigned To: Erez Freiberger
Gilad Shefer
container
: FutureFeature
Depends On:
Blocks: 1379185 1417765 1459189 1459555
  Show dependency treegraph
 
Reported: 2017-06-19 12:15 EDT by Federico Simoncelli
Modified: 2017-10-23 16:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2017-06-19 12:15:50 EDT
Description of problem:
ManageIQ core should provide a way to store advanced settings per-provider instance that can be configured through a specific UI/Rest-API.

Possible use-cases are:

- proxy setting per-provider (e.g. each OpenShift cluster is reachable through different proxies)
- smart-state analysis advanced settings (e.g. what registry to use for the image-inspector image, etc.)

Currently we're exploring the options of:

- adding a json "options" column to ext_management_systems
- adding one or more json entries to settings_changes (using resource_type="ExtManagementSystem" and the relevant resource_id)
Comment 2 Federico Simoncelli 2017-07-12 03:46:56 EDT
https://github.com/ManageIQ/manageiq-schema/pull/23
Comment 3 Federico Simoncelli 2017-09-01 07:47:10 EDT
Erez is this merged? Should we move this to POST?
Comment 4 Erez Freiberger 2017-10-20 12:43:14 EDT
The UI part, https://github.com/ManageIQ/manageiq-ui-classic/pull/1652 is now merged. Moving to POST

Note You need to log in before you can comment on or make changes to this bug.